#include <stdio.h>
#include "../winuser.h"
int _CRtaskIcon(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETtaskIconText(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETtaskIconImage(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _DStaskIcon(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _CBtaskIconClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtaskIconDClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtaskIconUClick(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _CBtaskIconMove(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CRtaskIcon2(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _SETtaskIconImage2(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _SETtaskIconMenu(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NTASKICONPKG 12
char* TASKICONname[NTASKICONPKG]=
{"_CRtaskIcon","ObjIcon","_SETtaskIconText","_SETtaskIconImage","_DStaskIcon","_CBtaskIconClick","_CBtaskIconDClick","_CBtaskIconUClick","_CBtaskIconMove","_CRtaskIcon2","_SETtaskIconImage2","_SETtaskIconMenu"};
int (*TASKICONfun[NTASKICONPKG])(mmachine m)=
{_CRtaskIcon,NULL,_SETtaskIconText,_SETtaskIconImage,_DStaskIcon,_CBtaskIconClick,_CBtaskIconDClick,_CBtaskIconUClick,_CBtaskIconMove,_CRtaskIcon2,_SETtaskIconImage2,_SETtaskIconMenu};
int TASKICONnarg[NTASKICONPKG]=
{3,TYPTYPE,2,2,1,3,3,3,2,3,2,2};
char* TASKICONtype[NTASKICONPKG]=
{"fun [Chn S S] ObjIcon",NULL,"fun [ObjIcon S] ObjIcon","fun [ObjIcon S] ObjIcon","fun [ObjIcon] ObjIcon","fun [ObjIcon fun [ObjIcon u0 I] u1 u0] ObjIcon","fun [ObjIcon fun [ObjIcon u0 I] u1 u0] ObjIcon","fun [ObjIcon fun [ObjIcon u0 I] u1 u0] ObjIcon","fun [ObjIcon fun [ObjIcon u0] u1 u0] ObjIcon","fun [Chn ObjBitmap S] ObjIcon","fun [ObjIcon ObjBitmap] ObjIcon","fun [ObjIcon ObjMenu] ObjIcon"};
int SCOLloadTASKICON(mmachine m)
{
return PKhardpak(m,"TASKICON.pkg",NTASKICONPKG,TASKICONname,TASKICONfun,TASKICONnarg,TASKICONtype);
}
